<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006-2014 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------

// 应用入口文件
error_reporting(0);
// 检测PHP环境
if (version_compare(PHP_VERSION, '5.4.0', '<')) {
    die('require PHP > 5.4.0 !');
}

// 开启调试模式 建议开发阶段开启 部署阶段注释或者设为false

//define('APP_DEBUG', true);
define('APP_DEBUG', false);
// 定义应用目录
define('DS', DIRECTORY_SEPARATOR);
define('APP_PATH', '.'.DS.'Application'.DS);
define('PUBLIC_PATH', '/Public/');

$arr = explode('/',$_SERVER['REQUEST_URI']);
if($arr[1] !== 'Backend' && $arr[1] !== 'backend' && $arr[1] !== 'Frontend' && $arr[1] !== 'frontend' && $arr[1] !== 'Api' && $arr[1] !== 'api'){
	define('BIND_MODULE','Frontend');
}

if(!is_file(APP_PATH . 'Common/Conf/config.php')){
	header('Location: ./install.php');
	exit;
}

// 自动加载第三方扩展包
require './vendor/autoload.php';

// 引入ThinkPHP入口文件
require './ThinkPHP/ThinkPHP.php';

// 亲^_^ 后面不需要任何代码了 就是如此简单
