SET FOREIGN_KEY_CHECKS=0;
/*添加新闻*/
DELETE from `agent_article` WHERE `id`='10';
INSERT INTO `agent_article` (`id`, `title`, `create_time`, `summary`, `state`, `content`, `update_at`, `type`) VALUES ('10', '虚拟主机特别声明', '2017-08-30 18:24:26', '虚拟主机特别声明', '1', '<p><br/></p><p style=\"text-indent:28px;padding:0;line-height:16px;background:#ffffff\"><span style=\"color:#FF0000;letter-spacing:0px;font-size:14px;font-family:微软雅黑, &quot;microsoft yahei&quot;;\">以下三类网站不得使用我公司各款虚拟主机产品，一经发现，我公司有权不经任何通知，第一时间关闭站点！</span></p><p style=\"text-indent:28px;padding:0;line-height:16px;background:#ffffff\"><span style=\"color:#FF0000;letter-spacing:0px;font-size:14px;font-family:微软雅黑, &quot;microsoft yahei&quot;;\">1、违法违规类网站</span><span style=\"color:#333333;letter-spacing:0px;font-size:12px;font-family:微软雅黑, &quot;microsoft yahei&quot;;\">：仿站、游戏外挂、彩票、博彩、在线棋牌、法轮功、黄赌毒、木马、病毒、色情（含低俗擦边球类）、非法售药、黑客盗号、钓鱼网站、私服、手机窃听、网络诈骗、反动信息、管制刀具、军警用品等包含但不限于以上类型的所有违法违规类网站；此类网站一经发现，直接删除业务、不提供程序与数据库文件下载、余额不予退还，同时我司会将网站开办者信息上报至国家公共信息网络安全监察支队！</span></p><p style=\"text-indent:28px;padding:0;line-height:16px;background:#ffffff\"><span style=\"color:#FF0000;letter-spacing:0px;font-size:14px;font-family:微软雅黑, &quot;microsoft yahei&quot;;\">2、易受攻击类网站</span><span style=\"color:#333333;letter-spacing:0px;font-size:12px;font-family:微软雅黑, &quot;microsoft yahei&quot;;\">：成人用品、减肥丰胸、TXT小说等不限于以上类型的所有易受攻击网站；网站如若遭受CC或DDOS攻击，我司将直接关闭，不再开启，用户可更换为独享资源产品（云空间、快云VPS、云服务器、独立服务器等）并使用我司快云安全产品；</span></p><p style=\"text-indent:28px;padding:0;line-height:16px;background:#ffffff\"><span style=\"color:#FF0000;letter-spacing:0px;font-size:14px;font-family:微软雅黑, &quot;microsoft yahei&quot;;\">3、占系统资源多的程序网站</span><span style=\"color:#333333;letter-spacing:0px;font-size:12px;font-family:微软雅黑, &quot;microsoft yahei&quot;;\">：聊天室、江湖、挂机类（如挂QQ、QQ秒赞等）、采集类等网站；发现3次占用服务器CPU或内存20%以上的网站，不再开启，用户可下载程序及数据库文件，更换为独享资源产品（云空间、快云VPS、云服务器、独立服务器等）；</span></p><p style=\"text-indent:28px;padding:0;line-height:16px;background:#ffffff\"><span style=\"color:#FF0000;letter-spacing:0px;font-size:14px;font-family:微软雅黑, &quot;microsoft yahei&quot;;\">若有违规或频繁受攻击，则域名将被拉黑。</span></p><p><span style=\"color:#FF0000;letter-spacing:0px;font-size:14px;background:#FFFFFF;font-family:微软雅黑, &quot;microsoft yahei&quot;;\">为了营造良好的互联网环境，请大家遵守上述规定，否则后果自负，谢谢合作！</span></p><p><br/></p>', '2017-08-30 18:24:26', '1');

/*修改后台菜单权限*/
UPDATE `agent_auth_rule` SET `title`='后台菜单列表' WHERE `id`='2';
UPDATE `agent_auth_rule` SET `pid`='277' WHERE `id`='276';

/*添加前台菜单权限*/
DELETE from `agent_auth_rule` WHERE `name`='Backend/FrontendMenu/index';
DELETE from `agent_auth_rule` WHERE `name`='Backend/FrontendMenu/add';
DELETE from `agent_auth_rule` WHERE `name`='Backend/FrontendMenu/edit';
DELETE from `agent_auth_rule` WHERE `name`='Backend/FrontendMenu/delete';
INSERT INTO `agent_auth_rule` (`id`,`pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('320','1', 'Backend/FrontendMenu/index', '前台菜单列表', '1', '1', '');
INSERT INTO `agent_auth_rule` (`pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('320', 'Backend/FrontendMenu/add', '添加菜单', '1', '1', '');
INSERT INTO `agent_auth_rule` (`pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('320', 'Backend/FrontendMenu/edit', '修改菜单', '1', '1', '');
INSERT INTO `agent_auth_rule` (`pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('320', 'Backend/FrontendMenu/delete', '删除菜单', '1', '1', '');

/*修改'后台菜单管理'菜单*/
UPDATE `agent_admin_nav` SET `name`='后台菜单管理' WHERE (`id`='2');

/*添加'前台菜单管理'菜单*/
DELETE from `agent_admin_nav` WHERE `name`='Backend/FrontendMenu/index';
INSERT INTO `agent_admin_nav` (`pid`, `name`, `mca`, `ico`, `order_number`) VALUES ('1', '前台菜单管理', 'Backend/FrontendMenu/index', NULL, '0');

/*添加前台菜单表*/
DROP TABLE IF EXISTS `agent_frontend_menu`;
CREATE TABLE `agent_frontend_menu` (`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id编号',`pid` int(11) NOT NULL DEFAULT '0' COMMENT '父id，二级目录：0顶级目录',`name` varchar(50) NOT NULL DEFAULT '无' COMMENT '菜单名',`title` varchar(50) DEFAULT '' COMMENT 'title属性，鼠标停留显示',`link` varchar(200) NOT NULL DEFAULT '/' COMMENT '链接地址',`type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '类型：0-顶部菜单，1-底部链接，3-关于我们',`phone` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否手机端菜单：0-否，1-是',`display` tinyint(4) NOT NULL DEFAULT '1' COMMENT '是否显示：0-不显示，1-显示',`blank` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否新窗口打开：0-否，1-是',`create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',`update_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '更新时间',`order_number` int(11) DEFAULT '0' COMMENT '排序：升序排列，小的在前面',`beizhu` text COMMENT '备注信息',PRIMARY KEY (`id`)) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=utf8;
INSERT INTO `agent_frontend_menu` VALUES ('1', '0', '首页', '', '/', '0', '0', '1', '0', '2017-08-30 15:30:10', '0000-00-00 00:00:00', '0', '首页');
INSERT INTO `agent_frontend_menu` VALUES ('2', '0', '域名', '域名查询', '/domain/domain', '0', '0', '1', '0', '2017-08-31 09:27:01', '0000-00-00 00:00:00', '0', '域名查询页');
INSERT INTO `agent_frontend_menu` VALUES ('3', '0', '虚拟主机', '虚拟主机', '', '0', '0', '1', '0', '2017-09-01 14:13:06', '0000-00-00 00:00:00', '0', '虚拟主机');
INSERT INTO `agent_frontend_menu` VALUES ('4', '3', '国内主机', '国内主机', '/product/virtualhost/type/host', '0', '0', '1', '0', '2017-09-01 14:14:29', '0000-00-00 00:00:00', '0', '国内主机');
INSERT INTO `agent_frontend_menu` VALUES ('5', '3', '香港主机', '香港主机', '/product/virtualhost/type/hkhost', '0', '0', '1', '0', '2017-09-01 16:19:06', '0000-00-00 00:00:00', '0', '香港主机');
INSERT INTO `agent_frontend_menu` VALUES ('6', '3', '织梦主机', '织梦主机', '/product/virtualhost/type/dedehost', '0', '0', '1', '0', '2017-09-01 18:46:26', '0000-00-00 00:00:00', '0', '织梦主机');
INSERT INTO `agent_frontend_menu` VALUES ('7', '3', '美国主机', '美国主机', '/product/virtualhost/type/usahost', '0', '0', '1', '0', '2017-09-01 18:48:56', '0000-00-00 00:00:00', '0', '美国主机');
INSERT INTO `agent_frontend_menu` VALUES ('8', '3', '云虚拟主机', '云虚拟主机', '/product/virtualhost/type/cloudVirtual', '0', '0', '1', '0', '2017-09-04 17:09:47', '0000-00-00 00:00:00', '0', '云虚拟主机');
INSERT INTO `agent_frontend_menu` VALUES ('9', '0', 'VPS', 'VPS', '', '0', '0', '1', '0', '2017-09-05 09:30:39', '0000-00-00 00:00:00', '0', 'VPS');
INSERT INTO `agent_frontend_menu` VALUES ('10', '9', '快云VPS', '快云VPS', '/product/vps/type/fastvps', '0', '0', '1', '0', '2017-09-05 09:33:15', '0000-00-00 00:00:00', '0', '快云VPS');
INSERT INTO `agent_frontend_menu` VALUES ('11', '9', '香港VPS', '香港VPS', '/product/vps/type/hkvps', '0', '0', '1', '0', '2017-09-05 09:34:04', '0000-00-00 00:00:00', '0', '香港VPS');
INSERT INTO `agent_frontend_menu` VALUES ('12', '9', '特卖VPS', '特卖VPS', '/product/vps/type/domesticvps', '0', '0', '1', '0', '2017-09-05 09:35:00', '0000-00-00 00:00:00', '0', '特卖VPS');
INSERT INTO `agent_frontend_menu` VALUES ('13', '0', '快云产品', '快云产品', '', '0', '0', '1', '0', '2017-09-05 09:35:38', '0000-00-00 00:00:00', '0', '快云产品');
INSERT INTO `agent_frontend_menu` VALUES ('14', '13', '快云服务器', '快云服务器', '/cloudserver/cloudserverShow', '0', '0', '1', '0', '2017-09-05 09:36:15', '0000-00-00 00:00:00', '0', '快云服务器');
INSERT INTO `agent_frontend_menu` VALUES ('15', '13', '快云数据库', '快云数据库', '/clouddb/clouddbShow', '0', '0', '1', '0', '2017-09-05 09:36:46', '0000-00-00 00:00:00', '0', '快云数据库');
INSERT INTO `agent_frontend_menu` VALUES ('16', '0', 'SSL证书', 'SSL证书', '/product/ssl', '0', '0', '1', '0', '2017-09-05 09:38:01', '0000-00-00 00:00:00', '0', 'SSL证书');
INSERT INTO `agent_frontend_menu` VALUES ('17', '16', 'DV证书', 'DV证书', '/product/ssl', '0', '0', '1', '0', '2017-09-05 09:39:01', '0000-00-00 00:00:00', '0', 'DV证书');
INSERT INTO `agent_frontend_menu` VALUES ('18', '16', 'OV证书', 'OV证书', '/product/ssl', '0', '0', '1', '0', '2017-09-05 11:02:27', '0000-00-00 00:00:00', '0', 'OV证书');
INSERT INTO `agent_frontend_menu` VALUES ('19', '16', 'EV证书', 'EV证书', '/product/ssl', '0', '0', '1', '0', '2017-09-05 11:03:36', '0000-00-00 00:00:00', '0', 'EV证书');
INSERT INTO `agent_frontend_menu` VALUES ('20', '0', '托管租用', '托管租用', '', '0', '0', '1', '0', '2017-09-05 11:04:21', '0000-00-00 00:00:00', '0', '托管租用');
INSERT INTO `agent_frontend_menu` VALUES ('21', '20', '服务器托管', '服务器托管', '/Severtg/index', '0', '0', '1', '0', '2017-09-05 11:04:50', '0000-00-00 00:00:00', '0', '服务器托管');
INSERT INTO `agent_frontend_menu` VALUES ('22', '20', '服务器租用（敬请期待）', '服务器租用', '', '0', '0', '1', '0', '2017-09-05 11:05:30', '0000-00-00 00:00:00', '0', '服务器租用（敬请期待）');
INSERT INTO `agent_frontend_menu` VALUES ('23', '0', '常见问题', '常见问题', '', '1', '0', '1', '0', '2017-09-08 15:24:36', '0000-00-00 00:00:00', '0', '常见问题');
INSERT INTO `agent_frontend_menu` VALUES ('24', '23', '新手专区', '新手专区', '/help/helpindex', '1', '0', '1', '1', '2017-09-08 15:25:31', '0000-00-00 00:00:00', '0', '新手专区');
INSERT INTO `agent_frontend_menu` VALUES ('25', '23', '使用指引', '使用指引', '/help/helpindex', '1', '0', '1', '1', '2017-09-08 15:30:14', '0000-00-00 00:00:00', '0', '使用指引');
INSERT INTO `agent_frontend_menu` VALUES ('26', '23', '备案帮助', '备案帮助', '/help/helpindex', '1', '0', '1', '1', '2017-09-08 15:30:32', '0000-00-00 00:00:00', '0', '备案帮助');
INSERT INTO `agent_frontend_menu` VALUES ('27', '23', '服务协议', '服务协议', '/help/helpindex', '1', '0', '1', '1', '2017-09-08 15:30:56', '0000-00-00 00:00:00', '0', '服务协议');
INSERT INTO `agent_frontend_menu` VALUES ('28', '0', '产品帮助', '产品帮助', '', '1', '0', '1', '0', '2017-09-08 15:38:11', '0000-00-00 00:00:00', '0', '产品帮助');
INSERT INTO `agent_frontend_menu` VALUES ('29', '28', '会员登录常见问题', '会员登录常见问题', '/help/helpindex', '1', '0', '1', '1', '2017-09-08 15:38:48', '0000-00-00 00:00:00', '0', '会员登录常见问题');
INSERT INTO `agent_frontend_menu` VALUES ('30', '28', '充值支付问题', '充值支付问题', '/help/helpindex', '1', '0', '1', '1', '2017-09-08 15:39:38', '0000-00-00 00:00:00', '0', '充值支付问题');
INSERT INTO `agent_frontend_menu` VALUES ('31', '28', '合同发票问题', '合同发票问题', '/help/helpindex', '1', '0', '1', '1', '2017-09-08 15:40:05', '0000-00-00 00:00:00', '0', '合同发票问题');
INSERT INTO `agent_frontend_menu` VALUES ('32', '28', '管理功能问题', '管理功能问题', '/help/helpindex', '1', '0', '1', '1', '2017-09-08 15:41:29', '0000-00-00 00:00:00', '0', '管理功能问题');
INSERT INTO `agent_frontend_menu` VALUES ('33', '28', '其他问题', '其他问题', '/help/helpindex', '1', '0', '1', '1', '2017-09-08 15:44:49', '0000-00-00 00:00:00', '0', '其他问题');
INSERT INTO `agent_frontend_menu` VALUES ('34', '0', '快速入口', '快速入口', '', '1', '0', '1', '0', '2017-09-08 15:46:17', '0000-00-00 00:00:00', '0', '快速入口');
INSERT INTO `agent_frontend_menu` VALUES ('35', '34', '会员管理登录', '会员管理登录', '/member/index', '1', '0', '1', '0', '2017-09-08 15:48:25', '0000-00-00 00:00:00', '0', '会员管理登录');
INSERT INTO `agent_frontend_menu` VALUES ('36', '34', '自助管理平台', '自助管理平台', 'https://ssp.zzidc.com/index.jsp', '1', '0', '1', '1', '2017-09-08 15:51:23', '0000-00-00 00:00:00', '0', '自助管理平台');
INSERT INTO `agent_frontend_menu` VALUES ('37', '34', '网站备案中心', '网站备案中心', 'http://beian.zzidc.com/', '1', '0', '1', '1', '2017-09-08 15:52:17', '0000-00-00 00:00:00', '0', '网站备案中心');
INSERT INTO `agent_frontend_menu` VALUES ('38', '34', '快云VPS真伪查询', '快云VPS真伪查询', 'http://beta.zzidc.com/main/cloudvps/checkTheIpAuthenticity.html', '1', '0', '1', '1', '2017-09-08 16:54:08', '0000-00-00 00:00:00', '0', '快云VPS真伪查询');
INSERT INTO `agent_frontend_menu` VALUES ('39', '34', '产品交流论坛', '产品交流论坛', 'http://bbs.zzidc.com/', '1', '0', '1', '1', '2017-09-08 17:36:24', '0000-00-00 00:00:00', '0', '产品交流论坛');
INSERT INTO `agent_frontend_menu` VALUES ('40', '0', '活动专区', '活动专区', '', '1', '0', '1', '0', '2017-09-08 17:38:52', '0000-00-00 00:00:00', '0', '活动专区');
INSERT INTO `agent_frontend_menu` VALUES ('41', '40', '优惠活动', '优惠活动', '/article/articlelist/type/2', '1', '0', '1', '1', '2017-09-08 17:39:44', '0000-00-00 00:00:00', '0', '优惠活动');
INSERT INTO `agent_frontend_menu` VALUES ('42', '0', '关于我们', '关于我们', '/About/about', '2', '0', '1', '1', '2017-09-11 15:29:46', '0000-00-00 00:00:00', '0', '关于我们');
INSERT INTO `agent_frontend_menu` VALUES ('43', '0', '新闻公告', '新闻公告', '/Article/articlelist', '2', '0', '1', '1', '2017-09-11 15:30:07', '0000-00-00 00:00:00', '0', '新闻公告');
INSERT INTO `agent_frontend_menu` VALUES ('44', '0', '友情链接', '友情链接', '/About/friendlylink', '2', '0', '1', '1', '2017-09-11 15:30:27', '0000-00-00 00:00:00', '0', '友情链接');

/*添加产品分类权限*/
DELETE from `agent_auth_rule` WHERE `name`='Backend/ProductType/index';
DELETE from `agent_auth_rule` WHERE `name`='Backend/ProductType/add';
DELETE from `agent_auth_rule` WHERE `name`='Backend/ProductType/edit';
DELETE from `agent_auth_rule` WHERE `name`='Backend/ProductType/delete';
INSERT INTO `agent_auth_rule` (`id`,`pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('325','1', 'Backend/ProductType/index', '产品分类列表', '1', '1', '');
INSERT INTO `agent_auth_rule` (`pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('325', 'Backend/ProductType/add', '添加产品分类', '1', '1', '');
INSERT INTO `agent_auth_rule` (`pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('325', 'Backend/ProductType/edit', '修改产品分类', '1', '1', '');
INSERT INTO `agent_auth_rule` (`pid`, `name`, `title`, `status`, `type`, `condition`) VALUES ('325', 'Backend/ProductType/delete', '删除产品分类', '1', '1', '');

/*添加'产品分类'菜单*/
DELETE from `agent_admin_nav` WHERE `name`='Backend/ProductType/index';
INSERT INTO `agent_admin_nav` (`pid`, `name`, `mca`, `ico`, `order_number`) VALUES ('38', '产品分类', 'Backend/ProductType/index', NULL, '0');

/*产品分类*/
DROP TABLE IF EXISTS `agent_product_type`;
CREATE TABLE `agent_product_type` (`id` int(11) NOT NULL AUTO_INCREMENT,`type_name` varchar(50) NOT NULL COMMENT '类型名称',`parent_id` int(11) NOT NULL COMMENT '父类型',`api_ptype` varchar(200) DEFAULT NULL COMMENT '接口Ptype',`create_time` datetime NOT NULL COMMENT '创建时间',`type_des` varchar(200) DEFAULT NULL COMMENT '说明',`display` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '前台是否显示：1:显示，0不显示',`product_stage` varchar(10) NOT NULL DEFAULT '0' COMMENT '商品的售卖阶段，英文,好分割，存入数字：1代表是第一代时期产品；2代表是第二代时期产品；1,2代表是一二代时期都存在的产品，以此类推；默认0',`order_num` int(11) DEFAULT '0' COMMENT '排序',PRIMARY KEY (`id`)) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8 COMMENT='产品类型表';
INSERT INTO `agent_product_type` VALUES ('1', 'VPS', '0', 'vps', '2012-11-29 17:59:22', 'VPS', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('2', '云主机', '3', 'cloudhost', '2012-11-29 17:59:22', '云主机', '0', '1', '0');
INSERT INTO `agent_product_type` VALUES ('3', '虚拟主机', '0', 'host', '2012-11-29 17:59:22', '虚拟主机', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('4', '域名', '0', 'domain', '2012-11-29 17:59:22', '域名', '0', '2', '0');
INSERT INTO `agent_product_type` VALUES ('7', '国内主机', '3', 'host', '2012-11-29 17:59:22', '国内主机', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('8', '香港主机', '3', 'hkhost', '2012-11-29 17:59:23', '香港主机', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('9', '英文域名', '4', 'endomain', '2012-12-05 00:00:00', '英文域名', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('10', '中文域名', '4', 'cndomain', '2012-12-05 00:00:00', '中文域名', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('11', '托管租用', '0', 'managehire', '2013-01-06 09:31:44', '托管租用', '0', '2', '0');
INSERT INTO `agent_product_type` VALUES ('12', '云空间', '3', 'cloudspace', '2013-01-18 17:14:41', '云空间', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('13', '郑州快云VPS', '21', 'fastcloudvps', '2013-01-18 17:14:41', '郑州快云VPS', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('14', '北京快云VPS', '21', 'fastcloudvps', '2013-04-24 15:59:38', '北京快云VPS', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('15', '织梦主机', '3', 'dedehost', '2014-01-10 16:06:28', '织梦主机', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('16', '美国主机', '3', 'usahost', '2014-03-06 10:39:47', '美国主机', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('17', '云虚拟主机', '3', 'cloudVirtual', '2014-08-25 15:18:09', '云虚拟主机', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('18', '快云服务器', '0', 'cloudserver', '2015-07-14 17:48:19', '快云服务器', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('19', '快云服务器IP', '0', 'cloudserverIP', '0000-00-00 00:00:00', '快云服务器IP', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('20', 'SSL', '0', 'ssl', '2015-09-01 10:34:17', 'SSL', '1', '2', '0');
INSERT INTO `agent_product_type` VALUES ('21', '快云VPS', '0', 'fastcloudvps', '2017-01-10 18:35:22', '快云VPS', '0', '2', '0');
INSERT INTO `agent_product_type` VALUES ('22', '快云数据库', '0', 'clouddb', '2017-01-10 18:35:22', '快云数据库', '1', '2', '0');

/*修改邮件模板*/
UPDATE `agent_sys` SET `sys_type`='13' WHERE (`sys_key`='mail_content');

/*添加'问题分类'菜单*/
DELETE from `agent_admin_nav` WHERE `name`='Backend/ProblemType/index';
INSERT INTO `agent_admin_nav` (`pid`, `name`, `mca`, `ico`, `order_number`) VALUES ('56', '问题分类', 'Backend/ProblemType/index', NULL, '0');

/*agent_common_problem帮助问题增加字段*/
alter table agent_common_problem add `from` varchar(50) default "" COMMENT "文章来源";
alter table agent_common_problem add `click` int(11) default 0 COMMENT "点击量";
alter table agent_common_problem add `title` varchar(255) default "" COMMENT "SEO_title";
alter table agent_common_problem add `keywords` varchar(255) default "" COMMENT "SEO_keywords";
alter table agent_common_problem add `description` varchar(255) default "" COMMENT "SEO_description";

/*问题分类表*/
DROP TABLE IF EXISTS agent_common_problem_type;
CREATE TABLE `agent_common_problem_type` (`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id编号',`name` varchar(50) NOT NULL DEFAULT '无' COMMENT '分类名',`type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '类型：0-未分类，1-常见问题分类，2-新闻公告分类',`create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',`update_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '更新时间',`beizhu` text COMMENT '备注信息',PRIMARY KEY (`id`)) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;
/* 插入数据 agent_common_problem_type */
INSERT INTO agent_common_problem_type VALUES ( '1', 'VPS', '1', '2017-10-26 11:31:42', '2017-10-26 10:04:28', '有关VPS的问题' );
INSERT INTO agent_common_problem_type VALUES ( '2', '云主机', '1', '2017-10-26 11:31:42', '2017-10-26 10:04:28', '有关云主机的问题' );
INSERT INTO agent_common_problem_type VALUES ( '3', '虚拟主机', '1', '2017-10-26 11:31:42', '2017-10-26 10:04:28', '有关虚拟主机的问题' );
INSERT INTO agent_common_problem_type VALUES ( '4', '域名', '1', '2017-10-26 11:31:43', '2017-10-26 10:04:28', '有关域名的问题' );
INSERT INTO agent_common_problem_type VALUES ( '6', '服务器托管租用', '1', '2017-10-26 10:04:28', '2017-10-26 10:04:28', '有关服务器托管租用的问题' );
INSERT INTO agent_common_problem_type VALUES ( '7', '国内主机', '1', '2017-10-26 11:31:43', '2017-10-26 10:04:28', '有关国内主机的问题' );
INSERT INTO agent_common_problem_type VALUES ( '8', '香港主机', '1', '2017-10-26 11:31:43', '2017-10-26 10:04:28', '有关香港主机的问题' );
INSERT INTO agent_common_problem_type VALUES ( '9', '英文域名', '1', '2017-10-26 11:31:43', '2017-10-26 10:04:28', '有关英文域名的问题' );
INSERT INTO agent_common_problem_type VALUES ( '10', '中文域名', '1', '2017-10-26 11:31:43', '2017-10-26 10:04:28', '有关中文域名的问题' );
INSERT INTO agent_common_problem_type VALUES ( '11', '托管租用', '1', '2017-10-26 11:31:43', '2017-10-26 10:04:28', '有关托管租用的问题' );
INSERT INTO agent_common_problem_type VALUES ( '12', '云空间', '1', '2017-10-26 11:31:43', '2017-10-26 10:04:28', '有关云空间的问题' );
INSERT INTO agent_common_problem_type VALUES ( '13', '郑州快云VPS', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关郑州快云VPS的问题' );
INSERT INTO agent_common_problem_type VALUES ( '14', '北京快云VPS', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关北京快云VPS的问题' );
INSERT INTO agent_common_problem_type VALUES ( '15', '织梦主机', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关织梦主机的问题' );
INSERT INTO agent_common_problem_type VALUES ( '16', '美国主机', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关美国主机的问题' );
INSERT INTO agent_common_problem_type VALUES ( '17', '云虚拟主机', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关云虚拟主机的问题' );
INSERT INTO agent_common_problem_type VALUES ( '18', '快云服务器', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关快云服务器的问题' );
INSERT INTO agent_common_problem_type VALUES ( '19', '快云服务器IP', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关快云服务器IP的问题' );
INSERT INTO agent_common_problem_type VALUES ( '20', 'SSL', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关SSL的问题' );
INSERT INTO agent_common_problem_type VALUES ( '21', '快云VPS', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关快云VPS的问题' );
INSERT INTO agent_common_problem_type VALUES ( '22', '快云数据库', '1', '2017-10-26 11:32:04', '2017-10-26 10:04:28', '有关快云数据库的问题' );
 
 /*添加弹窗信息*/
DELETE from `agent_sys` WHERE `sys_key`='msg_switch' and `sys_type`='1';
DELETE from `agent_sys` WHERE `sys_key`='msg_title' and `sys_type`='1';
DELETE from `agent_sys` WHERE `sys_key`='msg_content' and `sys_type`='1';
DELETE from `agent_sys` WHERE `sys_key`='msg_link' and `sys_type`='1';
INSERT INTO `agent_sys` (`sys_type`, `sys_key`, `sys_value`, `sys_des`) VALUES ('1', 'msg_switch', 'no', '弹窗开关');
INSERT INTO `agent_sys` (`sys_type`, `sys_key`, `sys_value`, `sys_des`) VALUES ('1', 'msg_title', '', '弹窗标题');
INSERT INTO `agent_sys` (`sys_type`, `sys_key`, `sys_value`, `sys_des`) VALUES ('1', 'msg_content', '', '弹窗路径');
INSERT INTO `agent_sys` (`sys_type`, `sys_key`, `sys_value`, `sys_des`) VALUES ('1', 'msg_link', '', '弹窗链接');

/*注册邮箱验证表*/
DROP TABLE IF EXISTS agent_member_register_mail;
CREATE TABLE `agent_member_register_mail` (`id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',`login_name` varchar(255) DEFAULT NULL COMMENT '登录名',`user_mail` varchar(255) DEFAULT NULL COMMENT '用户邮箱',`mail_code` int(11) DEFAULT '0' COMMENT '邮箱验证码',`time` datetime DEFAULT NULL COMMENT '邮件发送时间',PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

/*agent_member添加字段qq_openid,password_level */
alter table agent_member add `qq_openid` varchar(255) default "0" COMMENT "QQ三方登陆openid";
alter table agent_member add `password_level` smallint(2) default "1" COMMENT "密码安全级别";

/*QQ登录*/
DELETE from `agent_sys` WHERE `sys_key`='login_qq' and `sys_type`='9';
INSERT INTO agent_sys (`sys_type`, `sys_key`, `sys_value`, `sys_des`) VALUES ('9', 'login_qq', "no", '是否使用QQ登录');
DELETE from `agent_sys` WHERE `sys_key`='login_qq_appid' and `sys_type`='9';
INSERT INTO agent_sys (`sys_type`, `sys_key`, `sys_value`, `sys_des`) VALUES ('9', 'login_qq_appid', "", 'QQ应用的唯一标识appid');
DELETE from `agent_sys` WHERE `sys_key`='login_qq_appkey' and `sys_type`='9';
INSERT INTO agent_sys (`sys_type`, `sys_key`, `sys_value`, `sys_des`) VALUES ('9', 'login_qq_appkey', "", 'QQ应用appid对应的密钥appkey');
DELETE from `agent_sys` WHERE `sys_key`='login_qq_callback' and `sys_type`='9';
INSERT INTO agent_sys (`sys_type`, `sys_key`, `sys_value`, `sys_des`) VALUES ('9', 'login_qq_callback', "", 'QQ登录回调地址');

/*【com.ph/net.ph/org.ph/idv.tw/com.tw/org.tw】域名下架*/
UPDATE `agent_product` SET `product_state`='0',`stage`='1' WHERE `id`='33';
UPDATE `agent_product` SET `product_state`='0',`stage`='1' WHERE `id`='34';
UPDATE `agent_product` SET `product_state`='0',`stage`='1' WHERE `id`='35';
UPDATE `agent_product` SET `product_state`='0',`stage`='1' WHERE `id`='38';
UPDATE `agent_product` SET `product_state`='0',`stage`='1' WHERE `id`='39';
UPDATE `agent_product` SET `product_state`='0',`stage`='1' WHERE `id`='40';