<?php
namespace Common\Controller;
use Think\Controller;

/**
 * -------------------------------------------------------
 * | 全局基础控制器
 * |@author: duanbin
 * |@时间: 2016年9月30日 上午10:35:44
 * |@version: 1.0
 * -------------------------------------------------------
 */
class BaseController extends Controller{

	//仓库管理员
	protected $respository = null;
	//数据模型
	protected $model = null;

	public function _empty($message="",$type=0){
		if($type == 1){
			$error_info = $message;
		}else{
			$error_info = "无法加载操作：".ACTION_NAME;
		}
		$this->assign("error_info",$error_info);
		$this->display('Empty/index');die;
//		$this->error("无法加载操作：".ACTION_NAME);
	}
	
	public function _initialize(){
		/**
		 * |如果访问的是前台，并且是移动端，那么就返回相应的移动端的页面
		 * |@时间: 2016年9月29日 下午5:34:55
		 */
		if (isMobile() == 'phone'){
			header("Content-type: text/html; charset=utf-8");
			C('DEFAULT_V_LAYER', 'Mobile');
			C('TMPL_ACTION_MOBILE_ERROR', THINK_PATH . 'Tpl/dispatch_mobile_jump.tpl'); // 默认错误跳转对应的模板文件
			C('TMPL_PARSE_STRING', [
				//前台手机站静态资源
				'__FRONTEND_MOBILE_CSS__'      => PUBLIC_PATH.'frontend/mobile/css/',
				'__FRONTEND_MOBILE_JS__'       => PUBLIC_PATH.'frontend/mobile/js/',
				'__FRONTEND_MOBILE_IMAGES__'   => PUBLIC_PATH.'frontend/mobile/images/',
			]);
		}
		//5.4版本的php获取系统临时目录的bug的临时解决方案。
		if (!getenv('TMPDIR') && !getenv('TEMP') && !getenv('TMP') && !ini_get('sys_temp_dir')){
// 			if (PHP_OS == 'Windows' || PHP_OS == 'WIN32' || PHP_OS == 'WINNT'){				
				$temp = TEMP_PATH;
// 			}else {
// 				$temp = '/tmp';				
// 			}

			$temp_dir = getenv('TMPDIR') ? getenv('TMPDIR'): $temp;
			putenv('TMPDIR='.$temp_dir);
			$temp_dir = getenv('TEMP') ? getenv('TEMP'): $temp;
			putenv('TEMP='.$temp_dir);
			$temp_dir = getenv('TMP') ? getenv('TMP'): $temp;
			putenv('TMP='.$temp_dir);
			ini_set("sys_temp_dir", $temp);
		}

	}

}
